> ## Documentation Index
> Fetch the complete documentation index at: https://docs.garden.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Total Volume

Retrieve total volume processed by Garden in USD.


## OpenAPI

````yaml GET /volume
openapi: 3.1.0
info:
  title: Garden API
  version: 2.0.0
  description: API specification for various endpoints.
servers:
  - url: https://{environment}.garden.finance/v2
    variables:
      environment:
        default: api
        enum:
          - api
          - testnet.api
security:
  - garden-app-id: []
paths:
  /volume:
    get:
      summary: Get swap volume.
      parameters:
        - in: query
          name: source_chain
          required: false
          schema:
            $ref: '#/components/schemas/Chain'
          description: >-
            **(Optional)** Chain identifier to filter statistics by specific
            source blockchain.
        - in: query
          name: destination_chain
          required: false
          schema:
            $ref: '#/components/schemas/Chain'
          description: >-
            **(Optional)** Chain identifier to filter stats by specific
            destination chain.
        - in: query
          name: address
          required: false
          schema:
            type: string
          description: '**(Optional)** Address to filter stats by specific address.'
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb'
        - in: query
          name: from
          required: false
          schema:
            type: integer
            format: int64
          description: '**(Optional)** Unix timestamp marking the start time.'
          example: 1704067200
        - in: query
          name: to
          required: false
          schema:
            type: integer
            format: int64
          description: '**(Optional)** Unix timestamp marking the end time.'
          example: 1704153600
      responses:
        '200':
          description: Total swap volume.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseString'
components:
  schemas:
    Chain:
      oneOf:
        - type: string
          title: mainnet
          description: Mainnet
          enum:
            - arbitrum
            - ethereum
            - bitcoin
            - base
            - bnbchain
            - botanix
            - citrea
            - hyperevm
            - litecoin
            - monad
            - solana
            - starknet
            - tron
        - type: string
          title: testnet
          description: Testnet
          enum:
            - arbitrum_sepolia
            - alpen_signet
            - alpen_testnet
            - base_sepolia
            - bitcoin_testnet
            - bnbchain_testnet
            - citrea_testnet
            - ethereum_sepolia
            - litecoin_testnet
            - monad_testnet
            - solana_testnet
            - starknet_sepolia
            - tron_shasta
            - xrpl_testnet
    ResponseString:
      allOf:
        - $ref: '#/components/schemas/Response'
        - type: object
          properties:
            result:
              type: string
    Response:
      type: object
      properties:
        status:
          type: string
          enum:
            - Ok
            - Error
        error:
          type: string
          nullable: true
  securitySchemes:
    garden-app-id:
      type: apiKey
      name: garden-app-id
      in: header
      description: >-
        If you do not yet have an app ID, please follow these
        [steps](/api-reference/setup).

````